"""Added workbench modul

Revision ID: 278caa5bf8e4
Revises: 28c5cf0fc63f
Create Date: 2013-10-06 19:28:12.157175

"""

# revision identifiers, used by Alembic.
revision = '278caa5bf8e4'
down_revision = '28c5cf0fc63f'

from alembic import op
import sqlalchemy as sa

INSERTS = """
INSERT INTO "modules" VALUES(12,'workbenchs','plorma.model.workbench.Workbench','Workbench','Workbenches',NULL,NULL,'hidden');
INSERT INTO "actions" VALUES(46,12,'List','list','icon-list-alt',NULL);
INSERT INTO "actions" VALUES(47,12,'Read','read/{id}','icon-eye-open',NULL);
INSERT INTO "actions" VALUES(48,12,'Update','update/{id}','icon-edit',NULL);
INSERT INTO "actions" VALUES(49,12,'Add_Task','add_task/{id}/{task}','icon-edit',NULL);
INSERT INTO "actions" VALUES(50,12,'Del_Task','del_task/{id}/{task}','icon-edit',NULL);
INSERT INTO "actions" VALUES(51,12,'Start_Task','start_task/{id}/{task}','icon-edit',NULL);
INSERT INTO "actions" VALUES(52,12,'Stop_Task','stop_task/{id}/{task}','icon-edit',NULL);
INSERT INTO "actions" VALUES(53,12,'Pause_Task','pause_task/{id}/{task}','icon-edit',NULL);
"""


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('workbenchs',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('nm_workbench_tasks',
    sa.Column('wid', sa.Integer(), nullable=True),
    sa.Column('tid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['tid'], ['tasks.id'], ),
    sa.ForeignKeyConstraint(['wid'], ['workbenchs.id'], ),
    sa.PrimaryKeyConstraint()
    )
    ### end Alembic commands ###
    for st in INSERTS.split('\n'):
        op.execute(st)

    # create a workbench for every user in the system
    connection =  op.get_bind()
    for result in connection.execute("select id, login from users"):
        op.execute("INSERT INTO workbenchs (uid) VALUES (%s)" % result[0])

def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_workbench_tasks')
    op.drop_table('workbenchs')
    ### end Alembic commands ###
