<%inherit file="/main.mako" />
<%
from plorma.model.workbench import Workbench
from plorma.model.timelog import Timelog
from plorma.model.task import Task
%>
% if not request.user:
<div class="page-header">
<h1>${_('Welcome to Plorma')}</h1>
</div>
<div class="row">
  <div class="col-md-12">
    <p>${_('Plorma means "<strong>Pl</strong>an <strong>Or</strong>ganise <strong>Ma</strong>nage". Plorma is a task tracking web application for collaborative planning, organisation and managment of different tasks in your project.') | n}</p>
  </div>
</div>
<div class="row">
  <div class="col-sm-6">
    <img src="${request.static_url('%s:static/images/Actions-view-process-all-tree-icon.png' % h.get_app_name())}"
    width="100px"/><h2>${_('Hierarchical structure')}</h2>
    <p>${_('Trees are beautiful! Plorma allows you to plan and organise your tasks in a hierarchical tree structure.<br> <strong>Example</strong>: Your have different fields of activity with customers in each of them. Those customers have orders which are splitted into workpackes. Further the workpackages a divided in tasks. With the hierarchical structure you can easily model such a scenario.') | n}</p>
  </div>
  <div class="col-sm-6">
    <img src="${request.static_url('%s:static/images/Apps-system-users-icon.png' % h.get_app_name())}"
    width="100px"/><h2>${_('Collaborative work')}</h2>
    <p>${_('Plorma provides a permission system which ensures that your users only see things which they are allowed to see. Using this permission system allows you to let the customers, sales, developers and managment work together.') | n}</p>
  </div>
</div>
<div class="row">
  <div class="col-sm-6">
    <img src="${request.static_url('%s:static/images/Actions-chronometer-icon.png' % h.get_app_name())}"
    width="100px"/><h2>${_('Time tracking')}</h2>
    <p>${_('You want to know how much time you spent on your tasks? Plorma has timetracking capabilities which will bring the answer to this question.') | n}</p> 
  </div>
  <div class="col-sm-6">
    <img src="${request.static_url('%s:static/images/Actions-office-chart-line-icon.png' % h.get_app_name())}"
    width="100px"/><h2>${_('Reports and statistics')}</h2>
    <p>${_('Reports and statistics provide key information on your projects which helps you to see if and what isgoing wrong in your project and help you to arrange the correct counter measurements to bring your project back on the way.') | n}</p> 
  </div>
</div>
% else:
<div class="page-header">
<h1>${_('Dashboard')}</h1>
</div>
##% if s.has_permission('list', request.user.workbench[0], request):
% if s.has_permission('list', Workbench, request):
<div class="row">
  <div class="col-md-12">
    <h2>${_('Workbench')}</h2>
    ${workbench | n}
  </div>
</div>
% endif

<%
show = []
if s.has_permission('list', Task, request):
  taskwidth = 12
  show.append('task')
  if s.has_permission('list', Timelog, request):
    taskwidth = 9
    timewidth = 3
    show.append('time')
elif s.has_permission('list', Timelog, request):
  timewidth = 12
  show.append('time')
%>
<div class="row">
  % if "task" in show:
  <div class="col-sm-${taskwidth}">
    <div class="row">
      <div class="col-md-12">
      <h2>${_('Queue')}</h2>
      ${queue | n}
      </div>
    </div>
  </div>
  % endif
  % if "time" in show:
  <div class="col-sm-${timewidth}">
    <h2>${_('Timelog')}</h2>
    <table class="table">
      <tr>
        <td>Time week</td>
        <td><col-md- class="pull-right">${time_week}</col-md-></td>
      </tr>
      <tr>
        <td>Time today</td>
        <td><col-md- class="pull-right">${time_today}</col-md-></td>
      </tr>
    </table>
    <a href="${request.route_url('report')}" class="btn btn btn-info pull-right"><i class="icon-time icon-white"></i> ${_('Report')}</a>
  </div>
  % endif
</div>
% endif
