<%
import ringo.lib.security as s
assigend_tasks = []
team_tasks = []
for item in items:
  if item.assigned_id == request.user.id:
    assigend_tasks.append(item)
  elif request.user.id in [user.id for user in item.nosy]:
    team_tasks.append(item)

show_workbench = s.has_permission('update', request.user.workbench[0], request)
%>
<ul class="nav nav-tabs" id="myTab">
  <li class="active"><a href="#mytasks" data-toggle="tab">${_('My Tasks')}</a></li>
  <li><a href="#teamtasks" data-toggle="tab">${_('Team Tasks')}</a></li>
</ul>
<div class="tab-content">
  <div class="tab-pane active" id="mytasks">
  ${render_table(assigend_tasks)}
  </div>
  <div class="tab-pane" id="teamtasks">
  ${render_table(team_tasks)}
  </div>
</div>

<%def name="render_table(items)">
<table class="table table-striped datatable-simple">
  <thead>
    <tr>
      % for num, field in enumerate(tableconfig.get_columns()):
      <th class="${num > 0 and 'hidden-xs'}">${field.get('label')}</th>
      % endfor
      % if show_workbench:
      <th class="actions">${_('Actions')}</th>
      % endif
    </tr>
  </thead>
  <tbody>
    % for item in items:
    <tr onclick="openItem('${request.route_url(item.get_action_routename("update"), id=item.id)}')">
      % for num, field in enumerate(tableconfig.get_columns()):
      <td style="vertical-align:middle" class="${num > 0 and 'hidden-xs'}"</td>
          <%
            form_config = tableconfig.get_form_config()
            try:
              value = item.get_value(field.get('name'))
            except AttributeError:
              value = "NaF"
          %>
          ## Escape value here
          % if isinstance(value, list):
            ${", ".join(unicode(v) for v in value) | h}
          % else:
            ${value}
          % endif
      </td>
      % endfor
      % if show_workbench:
        <td class="actions" style="vertical-align:middle"><a href="${request.route_url('workbenchs-add_task', id=request.user.workbench[0].id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-wrench"></span></a></td>
      % endif
    </tr>
    % endfor
  </tbody>
</table>
  
</%def>
