<%
import ringo.lib.security as s
from plorma.model.timelog import Timelog
workbench = request.user.workbench[0]
show_workbench = s.has_permission('update', workbench, request)
show_times = s.has_permission('list', Timelog, request)
# Iterate over tasks on the workbench and collect the last timelogs for task.
# Further collect tasks which are in progress and find the currently active
# task.
active_task_start_time = None
running = None
inprogress = []
lastlogs = {}
for item in items:
      timelog = item.get_last_timelog(request.user)
      lastlogs[item.id] = timelog
      if item.is_running(request.user):
        running = item.id
        starttime = timelog.updated-timelog.get_time()
        active_task_start_time = starttime.isoformat()
      elif item.in_progress(request.user):
          inprogress.append(item.id)
%>
<table class="table table-striped table-condensed datatable-simple">
  <thead>
    <tr>
      % for field in tableconfig.get_columns():
      <th width="${field.get('width')}">${field.get('label')}</th>
      % endfor
      % if show_times:
      <th width="220" class="hidden-xs">${_('Timelog')}</th>
      <th width="0" class="visible-xs">${_('Timelog')}</th>
      % endif
      % if show_workbench:
      <th class="actions" width="100">${_('Actions')}</th>
      % endif
    </tr>
  </thead>
  <tbody>
    % for item in items:
    <%
      last_timelog = lastlogs[item.id]
    %>
    % if running == item.id:
      <tr class="success" onclick="openItem('${request.route_url(item.get_action_routename("update"), id=item.id, _query={"backurl": request.current_route_url()})}')">
    % elif item.id in inprogress:
      <tr class="warning" onclick="openItem('${request.route_url(item.get_action_routename("update"), id=item.id, _query={"backurl": request.current_route_url()})}')">
    % else:
      <tr onclick="openItem('${request.route_url(item.get_action_routename("update"), id=item.id, _query={"backurl": request.current_route_url()})}')">
    % endif
      % for field in tableconfig.get_columns():
      <td style="vertical-align:middle">
          <%
            form_config = tableconfig.get_form_config()
            try:
              value = item.get_value(field.get('name'))
            except AttributeError:
              value = "NaF"
          %>
          ## Escape value here
          % if isinstance(value, list):
            ${", ".join(unicode(v) for v in value) | h}
          % else:
            ${value}
          % endif
      </td>
      % endfor
      ## Render the current timelogs for the task. The redering depends on the
      ## current screen width. Usually the week, today and active time is
      ## rendererd. On small screens on the only active time is rendered.
      % if show_times:
      <td style="vertical-align:middle" class="hidden-xs">
         ${format_timedelta(item.get_time(request.user, week_start, week_end))} |
         ${format_timedelta(item.get_time(request.user, day_start, day_end))}
         % if running == item.id:
           | <a href="${request.route_url('timelogs-update', id=last_timelog.id)}?backurl=${request.current_route_url()}"><span class="active-time">${format_timedelta(item.get_time(request.user, day_start, day_end))}</span></a>
         % elif item.id in inprogress:
           | <a href="${request.route_url('timelogs-update', id=last_timelog.id)}?backurl=${request.current_route_url()}">${format_timedelta(last_timelog.get_time())}</a>
         % else:
           | 00:00:00
         % endif
      </td>
      <td style="vertical-align:middle" class="visible-xs">
         % if running == item.id:
           <a href="${request.route_url('timelogs-update', id=last_timelog.id)}?backurl=${request.current_route_url()}"><span class="active-time">${format_timedelta(item.get_time(request.user, day_start, day_end))}</span></a>
         % elif item.id in inprogress:
           <a href="${request.route_url('timelogs-update', id=last_timelog.id)}?backurl=${request.current_route_url()}">${format_timedelta(last_timelog.get_time())}</a>
         % else:
           00:00:00
         % endif
      </td>
      % endif
      % if show_workbench:
      <td class="actions" style="vertical-align:middle">
        % if running == item.id:
          <a href="${request.route_url('workbenchs-stop_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-stop"></span></a>
          <a href="${request.route_url('workbenchs-pause_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-pause"></span></a>
        % elif item.id in inprogress:
          <a href="${request.route_url('workbenchs-stop_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-stop"></span></a>
          <a href="${request.route_url('workbenchs-start_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-play"></span></a>
        % else:
          <a href="${request.route_url('workbenchs-del_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-tasks"></span></a>
          <a href="${request.route_url('workbenchs-start_task', id=workbench.id, task=item.id)}" class="btn btn-default pull-right"><span class="glyphicon glyphicon-play"></span></a>
        % endif
      </td>
      % endif
    </tr>
    % endfor
  </tbody>
</table>
<script>
% if active_task_start_time:
$('.active-time').countdown({
        "date" : "${active_task_start_time}",
        "direction": "up",
        "hoursOnly": true,
        "leadingZero": true,
        "htmlTemplate": "%h:%i:%s"
});
% endif
</script>
