## This template will render the timelogs in Intevation zeiterfassungs format.
<style>
  .axis path,
  .axis line {
    fill: none;
    stroke: #000;
    shape-rendering: crispEdges;
  }
  .line {
    fill: none;
    stroke: steelblue;
    stroke-width: 1.5px;
  }
</style>
<% from operator import itemgetter, attrgetter %>
<%inherit file="/main.mako" />
<div class="page-header">
<h1>${_('Report')}</h1>
</div>
<%
tasks = []
for time in times:
  task = time.task
  if task.id in [t.id for t in tasks]:
    continue
  else:
    tasks.append(task)
    for parent in task.get_parents():
      if parent.id in [t.id for t in tasks]:
        continue
      else:
        tasks.append(parent)

def calc_time(seconds):
    hours = seconds // 3600
    minutes = (seconds % 3600) // 60
    time_fmt = "%01d:%02d"
    return time_fmt % (hours, minutes)
%>
${form | n}
<hr>
<div class="row">
  <div class="col-md-6 col-sm-12">
    <strong>${_('Timelogs')}</strong><br>
    <div id="diagram1"></div>
  </div>
  <div class="col-md-3 col-sm-6">
    <strong>${_('Account')}</strong><br>
    <div id="diagram3"></div>
  </div>
  <div class="col-md-3 col-sm-6">
    <strong>${_('Activity')}</strong><br>
    <div id="diagram2"></div>
  </div>
</div>
<hr>
<div class="row">
  <div class="col-md-8">
    <h2>${_('Timelog')}: <col-md- id="timelog-totaltime">00:00:00</col-md-></h2>
    <table class="table table-condensed table-striped table-bordered datatable-report">
      <thead>
        <tr>
          <th>${_('Entry')}</th>
        </tr>
      </thead>
      <tbody>
      % for time in times:
        <tr>
          <td class="timelog">${time.updated.strftime('%d.%m.%Y')} ${calc_time(time.seconds)}h ?  ${time.owner.login} <a href="${request.route_url('timelogs-read', id=time.id)}">[${time.task.get_account(recursive=True)}-${time.get_value('activity')[0:1]}]</a>${time.desc}</td>
        </tr>
        % endfor
      </tbody>
    </table>
  </div>
  <div class="col-md-4">
    <h2>${_('Accounting')}</h2>
    <table>
    % for task in sorted(tasks, key=attrgetter('title')):
      <tr>
        <td><strong>${task.get_account()}</strong></td>
        <td><a href="${request.route_url('tasks-read', id=task.id)}">${task}</a></td> 
      </tr>
    % endfor
    </table>
  </div>
</div>
