# -*- coding: UTF-8 -*-
import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.rst')).read()
CHANGES = open(os.path.join(here, 'CHANGES.rst')).read()

requires = [
    'ringo',
    ]

setup(name='plorma',
      version='0.3.0',
      description='Plorma is a web application to plan, organize and manage tasks in a hierarchy structure',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      author='Torsten Irländer',
      author_email='torsten@irlaender.de',
      url='https://bitbucket.org/ti/plorma',
      keywords='web wsgi bfg pylons pyramid tracker issue tasks management tracking ringo formbar',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      test_suite='plorma',
      install_requires=requires,
      setup_requires=["hgtools"],
      entry_points="""\
      [paste.app_factory]
      main = plorma:main
      [console_scripts]
      initialize_plorma_db = plorma.scripts.initializedb:main
      add_plorma_modul = ringo.scripts.add_modul:main
      [babel.extractors]
      tableconfig = ringo.lib.i18n:extract_i18n_tableconfig
      formconfig = formbar.i18n:extract_i18n_formconfig
      """,
      message_extractors = {'plorma': [
        ('**.py', 'python', None),
        ('templates/**.html', 'mako', None),
        ('templates/**.mako', 'mako', None),
        ('views/**.xml', 'formconfig', None),
        ('views/**.json', 'tableconfig', None),
        ('static/**', 'ignore', None)]},
      )
